Name:          sextractor
Version:       2.19.5
Release:       %mkrel 6
Summary:       Extract catalogs of sources from astronomical images

Group:         Sciences/Astronomy
License:       GPLv3
URL:           http://astromatic.iap.fr/software/%{name}

Source0:       ftp://ftp.iap.fr/pub/from_users/bertin/sextractor/%{name}-%{version}.tar.gz

#prefer fputs
Patch0:        sextractor-2.19.5-security-fprintf.patch
#force "%s" in sprintf calls
Patch1:        sextractor-2.19.5-security-sprintf.patch


BuildRequires: fftw-devel >= 3.1
BuildRequires: libatlas-devel >= 3.6.0


%description
SExtractor is a program that builds a catalogue of objects from an 
astronomical image. Although it is particularly oriented towards 
reduction of large scale galaxy-survey data, it performs rather 
well on moderately crowded star fields.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
# New atlas libs
sed -i -e '/LIBS*=.*atlas/s,=.*,="-L%{_libdir}/atlas -lsatlas",' configure

%build
%configure2_5x
%make 

%install
%makeinstall_std
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
install -m 644 -p config/*.conv %{buildroot}%{_datadir}/%{name}
install -m 644 -p config/default.nnw %{buildroot}%{_datadir}/%{name}

%files
%doc AUTHORS BUGS COPYRIGHT HISTORY README THANKS doc/README.DOC doc/sextractor.pdf config/default.sex config/default.param
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/manx/*
%{_datadir}/%{name}/


%changelog
* Sun May 22 2016 tv <tv> 2.19.5-6.mga6
+ Revision: 1017786
- rebuild for new atlas
- fix building with atlas

* Mon Feb 08 2016 umeabot <umeabot> 2.19.5-5.mga6
+ Revision: 947402
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.19.5-4.mga5
+ Revision: 742357
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.19.5-3.mga5
+ Revision: 730119
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.19.5-2.mga5
+ Revision: 689122
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 eatdirt <eatdirt> 2.19.5-1.mga5
+ Revision: 641858
- Upgrade to version 2.19.5

* Sat Oct 19 2013 umeabot <umeabot> 2.8.6-2.mga4
+ Revision: 530642
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 joequant <joequant> 2.8.6-1.mga4
+ Revision: 441298
- imported package sextractor

